Bug 77924 - Dashboard on perf-o-matic should be sorted
Summary: Dashboard on perf-o-matic should be sorted
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Website (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ryosuke Niwa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-06 18:36 PST by Ryosuke Niwa
Modified: 2012-04-23 00:00 PDT (History)
2 users (show)

See Also:


Attachments
Fixes the bug (1.53 KB, patch)
2012-02-06 18:43 PST, Ryosuke Niwa
tony: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryosuke Niwa 2012-02-06 18:36:50 PST
Right now, the tests on the dashboard show up on random order( depends on how Python generates JSON, which in turn depends on how they order hashed strings). We should sort them nicely so that people don't have to keep looking for the tests.
Comment 1 Ryosuke Niwa 2012-02-06 18:43:25 PST
Created attachment 125750 [details]
Fixes the bug
Comment 2 Tony Chang 2012-02-07 09:58:47 PST
Comment on attachment 125750 [details]
Fixes the bug

View in context: https://bugs.webkit.org/attachment.cgi?id=125750&action=review

> Websites/webkit-perf.appspot.com/js/config.js:84
> +        for (test in testToId)
> +            tests.push(test);

Can you use Object.keys(testToId)?

> Websites/webkit-perf.appspot.com/js/config.js:88
> +        for (var i = 0; i < tests.length; i++)
> +            sortedTestToId[tests[i]] = testToId[tests[i]];
> +        dashboardManifest['testToId'] = sortedTestToId;

This is OK, but it would be more efficient to sort when you use dashboardManifest['testToId'].  I guess that involves changing perfomatic code.
Comment 3 Ryosuke Niwa 2012-02-07 10:34:28 PST
Comment on attachment 125750 [details]
Fixes the bug

View in context: https://bugs.webkit.org/attachment.cgi?id=125750&action=review

>> Websites/webkit-perf.appspot.com/js/config.js:84
>> +            tests.push(test);
> 
> Can you use Object.keys(testToId)?

Sure.

>> Websites/webkit-perf.appspot.com/js/config.js:88
>> +        dashboardManifest['testToId'] = sortedTestToId;
> 
> This is OK, but it would be more efficient to sort when you use dashboardManifest['testToId'].  I guess that involves changing perfomatic code.

Right. And we can't sort tests on Mozilla's version (the order is hard-coded there).
Comment 4 Ryosuke Niwa 2012-04-23 00:00:33 PDT
Fixed in http://trac.webkit.org/changeset/106960.